
Family Care - Bug #2386

debts and dues - functional cases

06/21/2021 01:50 PM - Saja Nakhleh

Status: Closed Start date: 06/21/2021

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

if the file has update task in progress,

then the debs and dues task will not be

opened

Observe the video: 

https://www.loom.com/share/a2f8bf70fa3

94bc3b91b3aae686f2c9d

Severity: Normal Environment: QA

Category: Dues and Debts management Transaction Number:  

Sub-Category:  Username:  

Step_Description:  Browser: Chrome

Pre_Conditions:  URL:  

Expected Result: if the file has update task in progress,

then the debs and dues task should be

opened normally and the update task will

be auto rejected if the debs and dues is

submitted, otherwise the update task

should stay in progress

Test Case ID:  

Description

Issue #1:

1. for any file (ie: 280012501418), submit update file task

2. open new debs and dues task for the same civil id

History

#1 - 06/21/2021 01:51 PM - Saja Nakhleh

- Category changed from debs and dues to Dues and Debs management

#2 - 06/21/2021 01:51 PM - Saja Nakhleh

- Subject changed from debs and dues - functional cases to debts and dues - functional cases

- Category changed from Dues and Debs management to Dues and Debts management

#3 - 06/22/2021 02:23 PM - Shadi Abuomar

- Status changed from Open to Fixed

- Assignee changed from Shadi Abuomar to Saja Nakhleh

#4 - 07/12/2021 04:15 PM - Saja Nakhleh

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Shadi Abuomar

Issue #1:

still duplicated:

scenario 1: https://www.loom.com/share/bae97b8c183f4fdba5bff83a143c38be

scenario 2: https://www.loom.com/share/dccfd8f814744935b55f79ae83312421
#5 - 07/13/2021 02:32 PM - Shadi Abuomar

- Assignee changed from Shadi Abuomar to Saja Nakhleh

#6 - 07/13/2021 02:32 PM - Shadi Abuomar

- Status changed from Feedback to Fixed

#7 - 07/14/2021 12:06 PM - Saja Nakhleh

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Shadi Abuomar

Issue #1:

any previous update tasks will not be aborted ! only the previous debts and dues tasks

https://www.loom.com/share/80a494409f284728909078d25ff56a56

#8 - 07/14/2021 04:09 PM - Shadi Abuomar

- Status changed from Feedback to Fixed

- Assignee changed from Shadi Abuomar to Saja Nakhleh

#9 - 07/14/2021 09:40 PM - Saja Nakhleh

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Shadi Abuomar

the newly added enhancment has been tested, please observe the following test cases, hence TC_2, TC_3 and TC_11 are failed:

TC_1: debts task is in progress (pass)

TC_2: debts task is completed (failed, observe the scenario and results in the

video:https://www.loom.com/share/090a2e9e5b984705973de759ee6bc7c8 )

TC_3: debts task is rejected (failed)

TC_4: debts task is canceled (Show Stopper, waiting from Furat side)

TC_5: debts  then update (pass)

TC_6: debts then change (Pass)

TC_7: debts then exceptional stop (pass)

TC_8: debts then debts (pass)

TC_9: update then debts (pass)

TC_10: change then debts (pass)

TC_11: exceptional stop then debts (failed)

the debts and dues task status will keep (in progress) not aborted or auto rejected !

Observe the tasks 1399 ( usr00249) and 150186 ( usr00122)   

TC_12: update then change (pass)

TC_13: change then update (pass)
#10 - 07/15/2021 01:48 PM - Shadi Abuomar

- Status changed from Feedback to Fixed

- Assignee changed from Shadi Abuomar to Saja Nakhleh

#11 - 07/15/2021 02:31 PM - Saja Nakhleh

- Status changed from Fixed to Closed

TC_2: tested and verified.

TC_3: verified only if the old task is canceled or completed, if the new task is NOT debts and dues task

TC_4: tested and verified.

TC_11: tested and verified.

Powered by TCPDF (www.tcpdf.org)

06/05/2025 3/3

http://www.tcpdf.org

